#!/bin/bash
cd vmopenbox
apt -y update
apt -y upgrade
# X
apt -y install xserver-xorg-core
# openbox
apt -y install openbox
# xinit
apt -y install xinit
# german language package for openbox
apt -y install language-pack-de-base 
# Displaymanager
apt -y install lxdm
# Powermanager
apt -y install mate-power-manager
# Panel
apt -y install tint2
# application starter
apt -y install wbar
# desktop icons
apt -y install idesk
# Bildschirmschoner
apt -y install xscreensaver 
# bash dialogs zenity
apt -y install zenity
# nfs-client
apt -y install nfs-client
# packing files
apt -y install file-roller
apt -y install rar unrar p7zip zip unzip p7zip-full p7zip-rar
# config sound card
apt -y install pavucontrol
# network 
apt -y install network-manager
apt -y install network-manager-gnome
# codecs
apt -y install ubuntu-restricted-extras
# wallpaper
apt -y install nitrogen
# play sound and audio 
apt -y install vlc
# PDF viewer
apt -y install qpdfview
# cups
apt -y install cups cups-client cups-bsd
apt -y install hplip printer-driver-gutenprint
# file manager
apt -y install pcmanfm
# show pictures
apt -y install gpicview
apt -y install fbi
# terminal
apt -y install gnome-terminal
# browser
apt -y install firefox firefox-locale-de
# libreoffice
apt -y install libreoffice libreoffice-l10n-de libreoffice-help-de 
# thunderbird
apt -y install thunderbird thunderbird-locale-de
# editor
apt -y install mousepad
# virtualbox
apt -y install virtualbox virtualbox-qt virtualbox-dkms
apt -y install build-essential
apt -y install linux-headers-$(uname -r)
# brightness controller
add-apt-repository ppa:apandada1/brightness-controller
apt update
apt -y install brightness-controller
#
# change network to NetworkManager
dir=/tmp/netplan.txt
ls /etc/netplan > $dir
while read file
do  
    cp network /etc/netplan/$file
done < $dir
rm $dir
netplan generate
netplan apply
# delete ubuntu desktop login
rm /usr/share/xsessions/ubuntu.desktop
#
# layout for zenity dialogs
cp zenity.ui /usr/share/zenity
#
# 2 desktops
cp rc.xml /etc/xdg/openbox
#
# create system dir
mkdir /opt/vmopenbox
cp vmopenbox/* /opt/vmopenbox
#
# config skeleton
# panel
cp wbar /etc/skel/.wbar
mkdir -p /etc/skel/.config/openbox
# autostart 
cp autostart /etc/skel/.config/openbox
# wallpaper
mkdir /etc/skel/Wallpaper
cp wallpaper.jpg /etc/skel/Wallpaper
# task panel
mkdir /etc/skel/.config/tint2
cp tint2rc /etc/skel/.config/tint2
# applicatoin for task panel
mkdir -p /etc/skel/.local/share/applications
cp desktop/* /etc/skel/.local/share/applications
# desktop icons
mkdir /etc/skel/.idesktop
#
# config Displaymanager
cp lxdm.conf /etc/lxdm 
cp login.png /usr/share/lxdm/themes/Industrial
#
# config available user
file=/tmp/users.txt
ls /home > $file
while read user
do  
  echo $user
  # autostart applications
  mkdir -p /home/$user/.config/openbox
  cp autostart /home/$user/.config/openbox
  chown -R $user:$user /home/$user/.config  
  # application panel
  cp wbar /home/$user/.wbar
  chown $user:$user /home/$user/.wbar
  # background picture
  mkdir /home/$user/Wallpaper  
  cp wallpaper.jpg /home/$user/Wallpaper
  chown -R $user:$user /home/$user/Wallpaper
  # task panel
  mkdir /home/$user/.config/tint2
  cp tint2rc /home/$user/.config/tint2
  chown -R $user:$user /home/$user/.config/tint2
  # application for panel
  mkdir -p /home/$user/.local/share/applications
  cp desktop/* /home/$user/.local/share/applications
  chown -R $user:$user /home/$user/.local
  # desktop icons
  mkdir /home/$user/.idesktop
  chown $user:$user /home/$user/.idesktop
  sh vmopenbox/adduseropenbox.sh $user  
done < $file

